Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle GlassFish(tm) Server Message Queue v4.5.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ClusterAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.ClusterAttributes

    public class ClusterAttributes

extends Object

Class containing information on cluster attributes.

Field Summary
`static String` | `CLUSTER_ID` Cluster ID
`static String` | `CONFIG_FILE_URL` Cluster config file URL
`static String` | `HIGHLY_AVAILABLE` Is cluster highly available ?
`static String` | `LOCAL_BROKER_INFO` Local master broker info
`static String` | `MASTER_BROKER_INFO` Cluster master broker info
`static String` | `USE_SHARED_DATABASE_FOR_CONFIG_RECORD` Is cluster use shared db for config records instead of master broker ?

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_FILE_URL

    public static final String CONFIG_FILE_URL

  Cluster config file URL

  See Also:
    Constant Field Values

### CLUSTER_ID

    public static final String CLUSTER_ID

  Cluster ID

  See Also:
    Constant Field Values

### HIGHLY_AVAILABLE

    public static final String HIGHLY_AVAILABLE

  Is cluster highly available ?

  See Also:
    Constant Field Values

### USE_SHARED_DATABASE_FOR_CONFIG_RECORD

    public static final String USE_SHARED_DATABASE_FOR_CONFIG_RECORD

  Is cluster use shared db for config records instead of master broker ?

  See Also:
    Constant Field Values

### LOCAL_BROKER_INFO

    public static final String LOCAL_BROKER_INFO

  Local master broker info

  See Also:
    Constant Field Values

### MASTER_BROKER_INFO

    public static final String MASTER_BROKER_INFO

  Cluster master broker info

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle GlassFish(tm) Server Message Queue v4.5.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.